<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <title>头脑风暴 - 登陆</title>
  <meta name="renderer" content="webkit">
  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  <meta name="csrf-token" content="{{ csrf_token() }}">
  {!!Html::style('plugins/layui/css/layui.css')!!}
</head>
<body>
<form class="layui-form" action="" style="margin: 250px auto;width: 400px;">
  <div class="layui-form-item">
    <label class="layui-form-label">输入名字</label>
    <div class="layui-input-block">
      <input type="text" name="username" required  lay-verify="required" placeholder="输入名字" autocomplete="off" class="layui-input">
    </div>
  </div>
  <div class="layui-form-item">
    <div class="layui-input-block">
      <button class="layui-btn" lay-submit lay-filter="formDemo">登陆</button>
    </div>
  </div>
</form>
{!!Html::script('plugins/layui/layui.js')!!}
<script>
layui.use(['form','jquery'], function(){
  var form = layui.form;
  var $ = layui.$;
$.ajaxSetup({
    headers: {
        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
    }
});
  //监听提交
  form.on('submit(formDemo)', function(data){
    layer.msg(JSON.stringify(data.field));
    var url = "/Home/User/Login";
    $.post(url,data.field,function(responsedata){
        layer.msg(responsedata.msg, {
          time: 1000 //2秒关闭（如果不配置，默认是3秒）
        }, function(){
			layer.msg("跳转中...", {
	          time: 1000 //2秒关闭（如果不配置，默认是3秒）
	        }); 
      		window.location.href = '/Home/User/Index';
        }); 
    },'json');
    return false;
  });
});
</script>
</body>
</html>